Numeric calculation in "Merge selected features" dialog does not work

2018-10-17 06:52 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 27963

Description

Select two features and click on "merge selected features" button

In the new dialog, for a numeric field try to use statistics functions like sum, count or whatever. The field in the "Merge" row becomes

empty. If you try some statistics on a literal field you get the result in the field.

It's not simply a display issue given that if you do the merge, you get 0 in the numeric field.

I check "data corruption" as this is a tool that applies in-place modification and gives a wrong value you can not easily check later on/or

rebuild.

History

#1 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#2 - 2018-11-09 02:15 AM - Nyall Dawson

This works fine here. You'll need to post more detailed steps to reproduce.

#3 - 2018-11-10 05:51 PM - Harrissou Santanna

- Resolution set to worksforme

- Status changed from Feedback to Closed

can't reproduce anymore.
